|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Attributes
gameplay::PhysicsController::HitResult Struct Reference

`#include <PhysicsController.h>`

List of all members.

## Public Attributes

PhysicsCollisionObject * | object
Vector3 | point
float | fraction
Vector3 | normal

## Detailed Description

Structure that stores hit test results for ray and sweep tests.

## Member Data Documentation

float gameplay::PhysicsController::HitResult::fraction

The fraction (0-1) of the test distance to the collision point.

Vector3 gameplay::PhysicsController::HitResult::normal

The normal vector of the collision surface, in world space.

PhysicsCollisionObject* gameplay::PhysicsController::HitResult::object

The collision object that was hit.

Vector3 gameplay::PhysicsController::HitResult::point

The point where the collision occurred, in world space.

All Classes Functions Variables Typedefs Enumerations Enumerator